Get app's channels

Get list of app's channels

URL

GET https://api.dashly.app/apps/{id}/channels

Parameters

Auth parameters.
id_as_string parameter.
Parameters which include optional fields of Channel object. Optional fields auto_set, auto_set_settings, droppable, not_assigned_count, not_read_count, operators, priority are included by default

Answer

The answer will contain an array of Channel objects.

Example:

{
  "meta": {
    "status": 200
  },
  "data": [
    {
        "id": 5,
        "name": "Test channel",
        "avatar": "",
        "droppable": true,
        "type": "manual",
        "operators": [
            {
                "id": 564,
                "name": "Support",
                "avatar": "https://files.dashly.app/avatars/default-v2.png",
                "type": "admin"
            }
        ],
        "not_assigned_count": 0,
        "not_read_count": 0,
        "read_permission": true
    },
    ...
  ]
}

Errors

General Web API errors.

Example

curl -X GET -H "Authorization: Token XXX" "https://api.dashly.app/apps/$self_app/channels"